Authorize short-lived direct-upload URLs for exact part numbers.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/files/uploads/example/parts/authorize"), Content = new StringContent("{ \"PartNumbers\": [ 1 ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/files/uploads/example/parts/authorize';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"PartNumbers":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/files/uploads/example/parts/authorize \ --header 'Content-Type: application/json' \ --data '{ "PartNumbers": [ 1 ] }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request short-lived URLs for exact multipart part numbers.
object
Examplegenerated
{ "PartNumbers": [ 1 ]}Request short-lived URLs for exact multipart part numbers.
object
Examplegenerated
{ "PartNumbers": [ 1 ]}Request short-lived URLs for exact multipart part numbers.
object
Examplegenerated
{ "PartNumbers": [ 1 ]}Responses
Section titled “Responses”OK
object
Short-lived authorizations for exact multipart part uploads.
object
One exact short-lived browser upload operation.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Short-lived authorizations for exact multipart part uploads.
object
One exact short-lived browser upload operation.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Short-lived authorizations for exact multipart part uploads.
object
One exact short-lived browser upload operation.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Short-lived authorizations for exact multipart part uploads.
object
One exact short-lived browser upload operation.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Too Many Requests
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Service Unavailable
object
Short-lived authorizations for exact multipart part uploads.
object
One exact short-lived browser upload operation.
object
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}